=== debian/changelog ===
mixxx (2.0.0~dfsg-9) unstable; urgency=medium

  * debian/control: drop pythonX-scour b-deps
    for scour package itself (Closes: #892582)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 11 Mar 2018 11:28:45 +0100

mixxx (2.0.0~dfsg-8) unstable; urgency=medium

  * debian/: Qt4 -> Qt5 migration (Closes: #875042)
  * debian/: debhelper bump 9 -> 11
  * debian/: autotools usage dropped
  * debian/control: S-V bump 3.9.8 -> 4.1.3 (no changes needed)
  * debian/control: Vcs-* fields updated to use salsa
  * debian/control: python3-scour added to b-deps

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 07 Feb 2018 22:50:22 +0100

mixxx (2.0.0~dfsg-7.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Sebastian Ramacher ]
  * Remove used B-D on libaudiofile-dev

  [ Simon McVittie ]
  * Add patch from James Cowgill to fix FTBFS with newer sqlite3
    (Closes: #868612)

 -- Simon McVittie <smcv@debian.org>  Mon, 24 Jul 2017 11:08:10 +0100

mixxx (2.0.0~dfsg-7) unstable; urgency=medium

  * Team upload.
  * debian/patches/0008-chromaprint-1.4.patch: Upstream patch to fix build
    with chromaprint 1.4. (Closes: #851009)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 11 Jan 2017 21:04:24 +0100

mixxx (2.0.0~dfsg-6) unstable; urgency=medium

  * debian/patches/ubuntu.series: file updated (Closes: #836398)
    - 0007-fix_gcc6_issue.patch entry added to the list

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 02 Sep 2016 18:24:40 +0200

mixxx (2.0.0~dfsg-5) unstable; urgency=medium

  * debian/patches/: patchset updated
    - 0007-fix_gcc6_issue.patch added (Closes: #831071)
  * debian/control: S-V bump 3.9.7 -> 3.9.8 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 25 Jul 2016 22:49:53 +0200

mixxx (2.0.0~dfsg-4) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * Import manpage changes from upstream

  [ Alessio Treglia ]
  * Remove myself from the Uploaders list

  [ Matteo F. Vescovi ]
  * debian/control:
    - libqt4-sql-sqlite dependency re-added
      for binary package (Closes: #820805)
    - S-V bump 3.9.6 -> 3.9.7 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 12 Apr 2016 17:43:31 +0200

mixxx (2.0.0~dfsg-3) unstable; urgency=medium

  * Team upload.
  * debian/rules:
    - Use flags suggested by upstream: build=release, virtualize=0,
      localecompare=1, qt_sqlite_plugin=0.
    - No longer build xpm, no longer needed.
    - Really support parallel builds.
  * debian/{rules,control}: Revert to Qt 4 as suggested by upstream.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 26 Jan 2016 19:26:58 +0100

mixxx (2.0.0~dfsg-2) unstable; urgency=medium

  * debian/patches
    - 0006-opengles.patch: Upstream patch to add OpenGL ES support.
    - 0005-hidapi.patch: Remove cruft.
  * debian/{control,rules}: Build with OpenGL ES on armel and armhf. (LP:
    #1316402)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 26 Jan 2016 18:17:37 +0100

mixxx (2.0.0~dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Mateusz Łukasik ]
  * New upstream release: (LP: #1530592)
    - Refresh patches.
    - Remove 0001-update_configure.patch - no longer needed.
    - Remove 9001-waveformsignalcolors_fix.patch - included upstream.
  * Update debian/repack.sh script to latest version.
  * Remove obsolete menu file.
  * Update debian/repack.local for new upstream version.
  * debian/control:
    - Add to B-D: libsqlite3-dev, librubberband-dev,libchromaprint-dev.
    - Use QT5. (Closes: #766959, #784496)
  * debian/rules:
    - Switch to QT5.

  [ Sebastian Ramacher ]
  * debian/rules:
    - Build with --as-needed.
    - Disable use of __DATE__ and __TIME__.
    - Remove RPATH.
  * debian/control:
    - Bump libsoundtouch-dev B-D.
    - Add libopus-dev and libopusfile-dev to B-D.
    - Add libhidapi-dev to B-D.
    - Add chrpath to B-D.
    - Update Vcs-*.
  * debian/copyright:
    - Use Files-Excluded instead of repack scripts.
    - Remove lib/{apple,hidapi-*,vamp-*}.
    - Update copyright years.
    - Remove unused paragraphs.
    - Add missing copyright information.
  * debian/patches/0005-hidapi.patch: Build with system hidapi.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 26 Jan 2016 00:59:59 +0100

mixxx (1.11.0~dfsg-5) unstable; urgency=medium

  * Team upload.
  * debian/control:
      - Remove libvamp-hostsdk3 from B-D. It is pulled in by vamp-pluin-sdk
        anyway. (Closes: #794975)
      - Bump Standards-Version (no changes needed).

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 09 Aug 2015 10:33:54 +0200

mixxx (1.11.0~dfsg-4) unstable; urgency=medium

  * Team upload.
  * debian/patches/: patchset refreshed
    - 1001-buildsystem.patch updated (Closes: #698796, #761978)
      (m68k and mips variants added to supported architectures)
  * debian/control: S-V bump 3.9.4 => 3.9.5 (no changes needed)
  * debian/copyright: files and licenses updated
  * debian/control: Uploaders field updated
    - Matteo F. Vescovi <mfvescovi@gmail.com> added

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Thu, 18 Sep 2014 11:56:54 +0200

mixxx (1.11.0~dfsg-3) unstable; urgency=low

  * Attempt to fix build failures on the following Ubuntu's
    architectures:
    - arm64
    - armhf
    - ppc64el
  * Fix build failures on ARM as qreal is float,
    not double. (Closes: #728148)

 -- Alessio Treglia <alessio@debian.org>  Wed, 29 Jan 2014 09:51:23 +0000
