=== debian/control ===
Source: mixxx
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Paul Brossier <piem@debian.org>,
 Free Ekanayaka <freee@debian.org>,
 Matteo F. Vescovi <mfv@debian.org>
Build-Depends:
 chrpath,
 debhelper (>= 11~),
 docbook-to-man,
 libchromaprint-dev,
 libexpat-dev,
 libfftw3-dev,
 libflac-dev,
 libgl1-mesa-dev,
 libgles2-mesa-dev [armel armhf],
 libglu1-mesa-dev,
 libhidapi-dev (>= 0.8.0~rc1),
 libid3tag0-dev,
 libjack-dev,
 libmad0-dev,
 libogg-dev,
 libopus-dev,
 libopusfile-dev,
 libportmidi-dev [linux-any],
 libprotobuf-dev,
 libqt5opengl5-dev,
 libqt5svg5-dev,
 libqt5xmlpatterns5-dev,
 librubberband-dev,
 libshout-dev,
 libsndfile1-dev,
 libsoundtouch-dev (>= 1.8.0),
 libsqlite3-dev,
 libtag1-dev,
 libusb-1.0-0-dev,
 libvorbis-dev,
 pkg-config,
 portaudio19-dev,
 protobuf-compiler,
 qtscript5-dev,
 scons,
 scour,
 vamp-plugin-sdk
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/multimedia-team/mixxx.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/mixxx
Homepage: http://www.mixxx.org/

Package: mixxx
Architecture: linux-any
Depends:
 libqt5sql5-sqlite,
 mixxx-data (= ${source:Version}),
 ${dist:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: pdf-viewer
Description: Digital Disc Jockey Interface
 Mixxx is a digital DJ system, where Wave, Ogg, FLAC and MP3 files can be
 mixed on a computer for use in live performances. Filters, crossfader, and
 speed control are provided. Mixxx can sync the 2 streams automatically, using
 an algorithm to detect the beat.
 .
 Mixxx works with Jack or OSS, can be controlled from the GUI or from external
 controllers, including MIDI devices and joysticks, and supports skins.

Package: mixxx-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Digital Disc Jockey Interface -- data files
 Mixxx is a digital DJ system, where Wave, Ogg, FLAC and MP3 files can be
 mixed on a computer for use in live performances. Filters, crossfader, and
 speed control are provided. Mixxx can sync the 2 streams automatically, using
 an algorithm to detect the beat.
 .
 Mixxx works with Jack or OSS, can be controlled from the GUI or from external
 controllers, including MIDI devices and joysticks, and supports skins.
 .
 This package provides images and skin configuration files required for mixxx.
