=== debian/changelog ===
mixxx (2.1.0-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Use rules and control file from Debian build.
  * Convert to debhelper 10 compat and 3.0 (quilt) source format.
  * Add libupower-glib-dev B-D.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 11 May 2018 15:58:02 -0700

mixxx (2.1.0-0ubuntu1~2.1~git6681~xenial) xenial; urgency=low

  * New upstream release.

 -- RJ Ryan <rryan@mixxx.org>  Mon,  16 Apr 2018 03:14:44 +0000

mixxx (2.1.0-0ubuntu1~2.1~git6681~trusty) trusty; urgency=low

  * New upstream release.

 -- RJ Ryan <rryan@mixxx.org>  Mon,  16 Apr 2018 03:12:28 +0000

mixxx (2.1.0-0ubuntu1) artful; urgency=medium

  * New upstream release.

 -- RJ Ryan <rryan@mixxx.org>  Sun, 15 Apr 2018 15:06:39 -0700

mixxx (2.0.0-0ubuntu1) precise; urgency=medium

  * New upstream release.

 -- RJ Ryan <rryan@mixxx.org>  Mon, 28 Dec 2015 09:15:53 -0800

mixxx (1.12.0-beta1-0ubuntu1) precise; urgency=low

  * New upstream beta release.

 -- RJ Ryan <rryan@mixxx.org>  Tue, 28 Apr 2015 20:51:42 -0400

mixxx (1.11.0-0ubuntu1) lucid; urgency=low

  * New upstream release.

 -- RJ Ryan <rryan@mixxx.org>  Thu, 09 May 2013 01:19:27 -0400

mixxx (1.11.0~beta1-0ubuntu1) lucid; urgency=low

  * New upstream beta release

 -- RJ Ryan <rryan@mixxx.org>  Thu, 21 Jun 2012 15:41:22 -0400

mixxx (1.10.0-0ubuntu1) lucid; urgency=low

  * New upstream release.

 -- RJ Ryan <rryan@mixxx.org>  Sat, 24 Dec 2011 23:28:30 -0500

mixxx (1.10.0-beta1-0ubuntu1) lucid; urgency=low

  * New upstream beta release
  * Bump Qt requirement to 4.6.0
  * Drop Karmic support

 -- RJ Ryan <rryan@mixxx.org>  Wed, 08 Jun 2011 17:28:00 -0500

mixxx (1.9.0-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Albert Santoni <alberts@mixxx.org>  Thu, 17 Feb 2011 01:17:59 -0500

mixxx (1.8.0-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Albert Santoni <alberts@mixxx.org>  Thu,  5 August 2010 23:06:22 -0800

mixxx (1.8.0~beta2-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Albert Santoni <alberts@mixxx.org>  Fri,  18 June 2010 21:06:45 -0800

mixxx (1.8.0~beta1-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Albert Santoni <alberts@mixxx.org>  Tue,  2 February 2010 21:06:45 -0800

mixxx (1.7.2-0ubuntu1) intrepid; urgency=low

  * New upstream release

 -- Albert Santoni <alberts@mixxx.org>  Tue,  29 December 2009 21:09:12 -0800

mixxx (1.7.1-0ubuntu1) intrepid; urgency=low

  * New upstream release

 -- Albert Santoni <alberts@mixxx.org>  Tue,  13 October 2009 11:21:40 -0800

mixxx (1.7.0-0ubuntu1) intrepid; urgency=low

  * New upstream release

 -- Albert Santoni <alberts@mixxx.org>  Thu,  5 August 2009 11:07:35 -0800

mixxx (1.7.0~beta2-0ubuntu1) intrepid; urgency=low

  * New upstream release

 -- Albert Santoni <alberts@mixxx.org>  Sun,  19 July 2009 12:13:37 -0800

mixxx (1.7.0~beta1-0ubuntu1) intrepid; urgency=low

  * New upstream release

 -- Albert Santoni <alberts@mixxx.org>  Mon,  13 April 2009 13:43:37 -0500

mixxx (1.6.2-0ubuntu1) hardy; urgency=low

  * New upstream release - removes libDJConsole support (new driver from Hercules make this obsolete)

 -- Garth Dahlstrom <ironstorm@users.sourceforge.net>  Tue,  13 November 2008 01:45:00 -0500

mixxx (1.6.1-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Albert Santoni <gamegod@users.sourceforge.net>  Tue,  25 September 2008 15:45:00 -0800

mixxx (1.6.0-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Albert Santoni <gamegod@users.sourceforge.net>  Tue,  5 August 2008 22:38:00 -0500

mixxx (1.6.0~beta4-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Albert Santoni <gamegod@users.sourceforge.net>  Sun,  13 July 2008 22:38:00 -0500

mixxx (1.6.0~beta3-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Albert Santoni <gamegod@users.sourceforge.net>  Sun,  18 May 2008 13:56:00 -0500

mixxx (1.6.0~beta2-0ubuntu1) hardy; urgency=low

  * New upstream release
    - Improved ATI compatibility (LP: #93814) (LP: #116484) (LP: #124213)
    - Various stability improvements (LP: #72549)
    - Rewritten sound core (LP: #72610)
    - Improved mp3 decoding safety (LP: #122476)
  * Removed mixxx.desktop from debian dir, already upstream (rules updated
    accordingly)
  * Dropped useless main.qbas patch (no longer use qt3)
  * Dropped direct rendering patch (handled better in upstream now)

 -- Albert Santoni <gamegod@users.sourceforge.net>  Tue,  10 Feb 2008 15:32:00 -0500

mixxx (1.6.0~beta1-1ubuntu2) hardy; urgency=low

  * debian/mixxx.desktop
    - Updated desktop file to reflect icon name change
      (LP: #189598)

 -- Joseph Jackson IV <jjacksoniv@fluxbuntu.org>  Wed, 06 Feb 2008 11:02:37 -0500

mixxx (1.6.0~beta1-1ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Update desktop file.
    - Update maintainer field as per spec.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 03 Jan 2008 23:09:53 +1100

mixxx (1.6.0beta1-0ubuntu1) gutsy; urgency=low

  * New upstream release
  * DFSG changes now upstream, tag no longer needed

 -- Albert Santoni <gamegod@users.sourceforge.net>  Tue,  20 Nov 2007 23:02:00 -0500

mixxx (1.5.2svn~20070807dfsg-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- Albert Santoni <gamegod@users.sourceforge.net>  Wed,  8 Aug 2007 20:10:00 -0500

mixxx (1.5.0svn~20070130dfsg-0ubuntu1) feisty; urgency=low

  * New upstream release
  * Trimmed non-free files
  * Mixxx now depends on libportaudio2 (PortAudio-v19 instead of -v18)

 -- Albert Santoni <gamegod@users.sourceforge.net>  Sun,  28 Jan 2007 19:50:20 -0500

mixxx (1.4.2-1.1ubuntu1) edgy; urgency=low

  * Re-sync with Debian
  * Drop Ubuntu GL/GLU fixes
  * Fix .desktop file (Emmet Hikory)

 -- Barry deFreese <bddebian@comcast.net>  Wed,  2 Aug 2006 12:46:20 -0400
