=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: mixxx
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Paul Brossier <piem@debian.org>,
  Free Ekanayaka <freee@debian.org>,
  Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
  chrpath,
- debhelper (>= 11~),
+ debhelper (>= 10),
  docbook-to-man,
  libchromaprint-dev,
  libexpat-dev,
@@ -35,6 +36,7 @@
  libsoundtouch-dev (>= 1.8.0),
  libsqlite3-dev,
  libtag1-dev,
+ libupower-glib-dev,
  libusb-1.0-0-dev,
  libvorbis-dev,
  pkg-config,
@@ -42,7 +44,7 @@
  protobuf-compiler,
  qtscript5-dev,
  scons,
- scour,
+ scour | python-scour,
  vamp-plugin-sdk
 Standards-Version: 4.1.3
 Vcs-Git: https://salsa.debian.org/multimedia-team/mixxx.git
