## mixxx 2.1.3~dfsg

=== debian/changelog ===
mixxx (2.1.3~dfsg-1) unstable; urgency=medium

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Matteo F. Vescovi ]
  * New upstream release (Closes: #896457, #897150)
  * debian/patches/: patchset reworked
    All patches have been merged upstream, except for
    those Debian-specific.
  * debian/control: S-V bump 4.1.3 -> 4.2.0 (no changes needed)
  * debian/control: newly needed build-dependencies added
  * debian/control: bump soundtouch version to 2.0.0
  * debian/control: gir1.2-rsvg-2.0 b-dep added
  * debian/rules: obsolete '--parallel' parameter dropped
  * debian/copyright: entries fixed and updated
  * debian/copyright: CC BY-SA license updated
  * debian/copyright: add build/debian to Files-Excluded

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 23 Aug 2018 23:41:01 +0200
