=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: mixxx
 Section: sound
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Paul Brossier <piem@debian.org>,
  Free Ekanayaka <freee@debian.org>,
  Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
  chrpath,
- debhelper (>= 10),
+ debhelper (>= 11~),
  docbook-to-man,
+ gir1.2-rsvg-2.0,
+ libavcodec-dev,
+ libavformat-dev,
  libchromaprint-dev,
+ libebur128-dev,
  libexpat-dev,
  libfftw3-dev,
  libflac-dev,
@@ -33,20 +36,22 @@
  librubberband-dev,
  libshout-dev,
  libsndfile1-dev,
- libsoundtouch-dev (>= 1.8.0),
+ libsoundtouch-dev (>= 2.0.0),
  libsqlite3-dev,
  libtag1-dev,
  libupower-glib-dev,
  libusb-1.0-0-dev,
+ libvamp-hostsdk3v5,
+ libvamp-sdk2v5,
  libvorbis-dev,
  pkg-config,
  portaudio19-dev,
  protobuf-compiler,
  qtscript5-dev,
  scons,
- scour | python-scour,
+ scour,
  vamp-plugin-sdk
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/mixxx.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mixxx
 Homepage: http://www.mixxx.org/
