=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 endif
 
 %:
-	dh $@ --parallel --with=scour
+	dh $@ --with=scour
 
 override_dh_auto_build:
 	scons $(SCONS_OPTS) w=1
