## mixxx 2.1.5~dfsg

=== debian/changelog ===
mixxx (2.1.5~dfsg-1build1) disco; urgency=medium

  * No-change rebuild against latest protobuf

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 10 Nov 2018 15:10:21 -0500

mixxx (2.1.5~dfsg-1) unstable; urgency=medium

  [ Matteo F. Vescovi ]
  * New upstream release

  [ Peter Green ]
  * debian/patches/: patchset updated (Closes: #912190)
    - 0004-remove-inappropriate-arm-compiler-flags.patch added
  * Fix clean target

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 04 Nov 2018 15:52:15 +0100

mixxx (2.1.4~dfsg-1) unstable; urgency=medium

  [ Olivier Humbert ]
  * Update control (http -> https)

  [ Matteo F. Vescovi ]
  * New upstream release
  * debian/control: S-V bump 4.2.0 -> 4.2.1 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 07 Oct 2018 15:15:30 +0200
