=== debian/control ===
--- 
+++ 
@@ -51,10 +51,10 @@
  scons,
  scour,
  vamp-plugin-sdk
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/mixxx.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mixxx
-Homepage: http://www.mixxx.org/
+Homepage: https://www.mixxx.org/
 
 Package: mixxx
 Architecture: linux-any
