=== debian/rules ===
--- 
+++ 
@@ -54,6 +54,7 @@
 	dh_clean .sconsign.dblite cachecustom.py \
 		config.log src/build.h build/*.pyc mixxx.1
 	dh_auto_clean
+	rm -rf lin*_build/
 
 override_dh_auto_install:
 	scons $(SCONS_OPTS) install
