## mixxx 2.2.0~dfsg

=== debian/changelog ===
mixxx (2.2.0~dfsg-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Drop to debhelper 10 compat to ease backports.
  * Disable automatic dbgsym packages.
  * Add python-scour as alternate build-dep.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 31 Jan 2019 15:15:12 -0800

mixxx (2.2.0~dfsg-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/0002-desktop_file.patch: patch updated
    - debian/control: new build-deps added
    - debian/rules: fix installation path

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 20 Jan 2019 22:25:18 +0100

mixxx (2.1.5~dfsg-2) unstable; urgency=medium

  * debian/: drop vendor-specific patchset (Closes: #915919)
  * debian/control: S-V bump 4.2.1 -> 4.3.0

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 27 Dec 2018 21:38:19 +0100
