=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: mixxx
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Paul Brossier <piem@debian.org>,
  Free Ekanayaka <freee@debian.org>,
  Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
  chrpath,
- debhelper (>= 11~),
+ debhelper (>= 10.2),
  docbook-to-man,
  gir1.2-rsvg-2.0,
  libavcodec-dev,
@@ -24,6 +25,7 @@
  libhidapi-dev (>= 0.8.0~rc1),
  libid3tag0-dev,
  libjack-dev,
+ liblilv-dev,
  libmad0-dev,
  libogg-dev,
  libopus-dev,
@@ -32,6 +34,7 @@
  libprotobuf-dev,
  libqt5opengl5-dev,
  libqt5svg5-dev,
+ libqt5x11extras5-dev,
  libqt5xmlpatterns5-dev,
  librubberband-dev,
  libshout-dev,
@@ -49,9 +52,9 @@
  protobuf-compiler,
  qtscript5-dev,
  scons,
- scour,
+ scour | python-scour,
  vamp-plugin-sdk
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/mixxx.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mixxx
 Homepage: https://www.mixxx.org/
