## mixxx 2.2.1~dfsg

=== debian/changelog ===
mixxx (2.2.1~dfsg-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Add python-scour as alternate build-depend to scour.
  * Drop to debhelper 10 compat to ease backports.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 12 May 2019 12:41:36 -0700

mixxx (2.2.1~dfsg-1) experimental; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 25 Apr 2019 23:06:17 +0200
