=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: mixxx
 Section: sound
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Paul Brossier <piem@debian.org>,
  Free Ekanayaka <freee@debian.org>,
  Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
  chrpath,
- debhelper (>= 10.2),
+ debhelper (>= 10),
  docbook-to-man,
  gir1.2-rsvg-2.0,
  libavcodec-dev,
