=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,6 @@
 export QT_SELECT=5
 
 export DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-
-ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
-	SUBSTVARS = -Vdist:Depends="pulseaudio-utils"
-else
-	SUBSTVARS = -Vdist:Depends=""
-endif
 
 # flags suggested by upstream
 SCONS_OPTS  = build=release
@@ -64,7 +58,7 @@
 	find $(CURDIR)/debian/tmp -name '*.js' -exec chmod -x {} \;
 	find $(CURDIR)/debian/tmp/usr/share/mixxx/ -type f -exec chmod -x {} \;
 	chrpath -d debian/tmp/usr/bin/mixxx \
-		debian/tmp/usr/lib/mixxx/plugins/vamp/libmixxxminimal.so
+		debian/tmp/usr/lib/mixxx/plugins/vampqt5/libmixxxminimal.so
 
-override_dh_gencontrol:
-	dh_gencontrol -- $(SUBSTVARS)
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
