## mixxx 2.2.2~dfsg

=== debian/changelog ===
mixxx (2.2.2~dfsg-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 27 Oct 2019 15:42:40 -0700

mixxx (2.2.2~dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.0

  [ Matteo F. Vescovi ]
  * New upstream version 2.2.2~dfsg

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 28 Aug 2019 20:17:05 +0200

mixxx (2.2.1~dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 08 Jul 2019 14:45:52 +0200
