=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: mixxx
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Paul Brossier <piem@debian.org>,
  Free Ekanayaka <freee@debian.org>,
  Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
  chrpath,
- debhelper (>= 10),
+ debhelper-compat (= 11),
  docbook-to-man,
  gir1.2-rsvg-2.0,
  libavcodec-dev,
@@ -51,9 +52,9 @@
  protobuf-compiler,
  qtscript5-dev,
  scons,
- scour | python-scour,
+ scour,
  vamp-plugin-sdk
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/mixxx.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mixxx
 Homepage: https://www.mixxx.org/
