## mixxx 2.2.3~dfsg

=== debian/changelog ===
mixxx (2.2.3~dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ Olivier Humbert ]
  * Update copyright (http -> https)

  [ Matteo F. Vescovi ]
  * New upstream release
  * debian/patches/: patchset refreshed against v2.2.3

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 10 Jan 2020 22:33:58 +0100
