=== debian/rules ===
--- 
+++ 
@@ -59,6 +59,3 @@
 	find $(CURDIR)/debian/tmp/usr/share/mixxx/ -type f -exec chmod -x {} \;
 	chrpath -d debian/tmp/usr/bin/mixxx \
 		debian/tmp/usr/lib/mixxx/plugins/vampqt5/libmixxxminimal.so
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
