=== debian/watch ===
version=4
opts="uversionmangle=s/-(beta|rc|RC)(.*)/~\$1\$2/, \
dversionmangle=s/~dfsg[0-9]*//, \
repack, \
repacksuffix=~dfsg" \
https://github.com/mixxxdj/mixxx/tags .*/release-(\d.*[^dev])\.(?:tgz|tar\.(?:gz|bz2|xz))
