=== debian/changelog ===
mixxx (2.2.4~dfsg-1) unstable; urgency=medium

  * Team upload

  * New upstream release
  * debian/patches/: patchset updated against v2.2.4
    - 0005-scons-3.patch dropped (applied upstream)
    - 0005-remove_inappropriate_i386_flags.patch added (Closes: #950131)
    - 0006-features_fix.patch added
  * debian/copyright: by-tab indentation removed
  * debian/control:
    - debhelper bump 11 -> 13
    - S-V bump 4.4.1 -> 4.5.0 (no changes needed)
    - RRR set
    - add missing b-dep libmodplug-dev
    - drop myself from Uploaders
  * debian/mixxx.install: add missing install path
  * debian/rules:
    - update clean path for pyc files
    - drop duplicate files on install

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 13 Aug 2020 18:17:10 +0200

mixxx (2.2.3~dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry-pick an upstream patch to fix a FTBFS with Scons under Python 3.
    (Closes: #947568)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 12 May 2020 16:07:23 -0700
