=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Paul Brossier <piem@debian.org>,
- Free Ekanayaka <freee@debian.org>,
- Matteo F. Vescovi <mfv@debian.org>
+ Free Ekanayaka <freee@debian.org>
 Build-Depends:
  chrpath,
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  docbook-to-man,
  gir1.2-rsvg-2.0,
  libavcodec-dev,
@@ -26,6 +25,7 @@
  libjack-dev,
  liblilv-dev,
  libmad0-dev,
+ libmodplug-dev,
  libogg-dev,
  libopus-dev,
  libopusfile-dev,
@@ -53,7 +53,8 @@
  scons,
  scour,
  vamp-plugin-sdk
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/mixxx.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mixxx
 Homepage: https://www.mixxx.org/
