=== debian/rules ===
--- 
+++ 
@@ -46,15 +46,15 @@
 	scons $(SCONS_OPTS) -c || true
 	rm -rf .sconf_temp/ cache/ linux_build/
 	dh_clean .sconsign.dblite cachecustom.py \
-		config.log src/build.h build/*.pyc mixxx.1
+		config.log src/build.h build/__pycache__/*.pyc mixxx.1
 	dh_auto_clean
 	rm -rf lin*_build/
 
 override_dh_auto_install:
 	scons $(SCONS_OPTS) install
 	find $(CURDIR)/debian/tmp \( -name COPYING -o -name Thumbs.db \
-		-o -name shifter.sh -o -name '*.xsl' -o -name '*.php' \) \
-		-exec rm -f {} \;
+		-o -name shifter.sh -o -name '*.xsl' -o -name '*.php' \
+		-o -name LICENSE -o -name README \) -exec rm -f {} \;
 	find $(CURDIR)/debian/tmp -name '*.js' -exec chmod -x {} \;
 	find $(CURDIR)/debian/tmp/usr/share/mixxx/ -type f -exec chmod -x {} \;
 	chrpath -d debian/tmp/usr/bin/mixxx \
